# korona-entry-client

KoronaEntryClient - the Ruby gem for the KORONA.entry API v1

Our api provides access to our entry services

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.2
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build korona-entry-client.gemspec
```

Then either install the gem locally:

```shell
gem install ./korona-entry-client-1.0.2.gem
```

(for development, run `gem install --dev ./korona-entry-client-1.0.2.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'korona-entry-client', '~> 1.0.2'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'korona-entry-client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'korona-entry-client'

api_instance = KoronaEntryClient::ExternalTicketConfigurationsApi.new
client = 'client_example' # String | Identification of executing client.
body = KoronaEntryClient::ExternalTicketConfiguration.new # ExternalTicketConfiguration | Properties to update of the external ticket configuration.

begin
  #Creates a new external ticket configuration. If an unkown ticket number will be checked and the pattern of the ticket number will be equals to a pattern of a external ticket configuration, a new ticket will be created. The TicketEntry of the external ticket configuration will be copied and adjusted to the new ticket. The newly created ticket is then checked for validity.
  result = api_instance.create_external_ticket_configurations(client, body)
  p result
rescue KoronaEntryClient::ApiError => e
  puts "Exception when calling ExternalTicketConfigurationsApi->create_external_ticket_configurations: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://YourLocalInstance.com/korona.entry/services/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*KoronaEntryClient::ExternalTicketConfigurationsApi* | [**create_external_ticket_configurations**](docs/ExternalTicketConfigurationsApi.md#create_external_ticket_configurations) | **POST** /{client}/externalTicketConfigurations | Creates a new external ticket configuration. If an unkown ticket number will be checked and the pattern of the ticket number will be equals to a pattern of a external ticket configuration, a new ticket will be created. The TicketEntry of the external ticket configuration will be copied and adjusted to the new ticket. The newly created ticket is then checked for validity.
*KoronaEntryClient::ExternalTicketConfigurationsApi* | [**delete_external_ticket_configuration**](docs/ExternalTicketConfigurationsApi.md#delete_external_ticket_configuration) | **DELETE** /{client}/externalTicketConfigurations/{externalTicketConfigurationId} | Deletes the single external ticket configuration.
*KoronaEntryClient::ExternalTicketConfigurationsApi* | [**get_external_ticket_configuration**](docs/ExternalTicketConfigurationsApi.md#get_external_ticket_configuration) | **GET** /{client}/externalTicketConfigurations/{externalTicketConfigurationId} | Returns the external ticket configuration.
*KoronaEntryClient::ExternalTicketConfigurationsApi* | [**get_external_ticket_configurations**](docs/ExternalTicketConfigurationsApi.md#get_external_ticket_configurations) | **GET** /{client}/externalTicketConfigurations | Returns all external ticket configurations
*KoronaEntryClient::ExternalTicketConfigurationsApi* | [**update_external_ticket_configuration**](docs/ExternalTicketConfigurationsApi.md#update_external_ticket_configuration) | **PATCH** /{client}/externalTicketConfigurations/{externalTicketConfigurationId} | Updates the single external ticket configuration.
*KoronaEntryClient::OrganizationalUnitsApi* | [**create_organizational_unit**](docs/OrganizationalUnitsApi.md#create_organizational_unit) | **POST** /{client}/organizationalUnits | Creates a new organizational unit.
*KoronaEntryClient::OrganizationalUnitsApi* | [**delete_organizational_unit**](docs/OrganizationalUnitsApi.md#delete_organizational_unit) | **DELETE** /{client}/organizationalUnits/{organizationalUnitId} | Deletes the single organizational unit.
*KoronaEntryClient::OrganizationalUnitsApi* | [**get_organizational_unit**](docs/OrganizationalUnitsApi.md#get_organizational_unit) | **GET** /{client}/organizationalUnits/{organizationalUnitId} | Returns the single organizational unit.
*KoronaEntryClient::OrganizationalUnitsApi* | [**get_organizational_units**](docs/OrganizationalUnitsApi.md#get_organizational_units) | **GET** /{client}/organizationalUnits | Returns all organizational unit
*KoronaEntryClient::OrganizationalUnitsApi* | [**update_organizational_unit**](docs/OrganizationalUnitsApi.md#update_organizational_unit) | **PATCH** /{client}/organizationalUnits/{organizationalUnitId} | Updates the single organizational unit.
*KoronaEntryClient::StatisticsApi* | [**load_grouped_entries**](docs/StatisticsApi.md#load_grouped_entries) | **GET** /{client}/statistics/groupedEntries | Prepares entries statistically and returns them as a list.
*KoronaEntryClient::TicketsApi* | [**check_ticket**](docs/TicketsApi.md#check_ticket) | **GET** /{client}/checkTicket | Checks a ticket. The entry can optionally also be committed.
*KoronaEntryClient::TicketsApi* | [**create_ticket**](docs/TicketsApi.md#create_ticket) | **POST** /{client}/tickets | Creates a new ticket.
*KoronaEntryClient::TicketsApi* | [**create_ticket_entry**](docs/TicketsApi.md#create_ticket_entry) | **POST** /{client}/tickets/{ticketId}/ticketEntries | Creates a new ticket entry for a specific ticket.
*KoronaEntryClient::TicketsApi* | [**delete_image**](docs/TicketsApi.md#delete_image) | **DELETE** /{client}/tickets/{ticketId}/image | Deletes the owners image of the ticket.
*KoronaEntryClient::TicketsApi* | [**delete_ticket**](docs/TicketsApi.md#delete_ticket) | **DELETE** /{client}/tickets/{ticketId} | Deletes the single ticket.
*KoronaEntryClient::TicketsApi* | [**delete_ticket_entry**](docs/TicketsApi.md#delete_ticket_entry) | **DELETE** /{client}/tickets/{ticketId}/ticketEntries/{ticketEntryId} | Deletes the single ticket entry (marks it as used up).
*KoronaEntryClient::TicketsApi* | [**get_image**](docs/TicketsApi.md#get_image) | **GET** /{client}/tickets/{ticketId}/image | Returns the owners image of the ticket
*KoronaEntryClient::TicketsApi* | [**get_logs**](docs/TicketsApi.md#get_logs) | **GET** /{client}/ticketEntryLogs | Returns the log for a optional single ticket and/or organizational unit
*KoronaEntryClient::TicketsApi* | [**get_ticket**](docs/TicketsApi.md#get_ticket) | **GET** /{client}/tickets/{ticketId} | Returns the single ticket.
*KoronaEntryClient::TicketsApi* | [**get_ticket_entry**](docs/TicketsApi.md#get_ticket_entry) | **GET** /{client}/tickets/{ticketId}/ticketEntries/{ticketEntryId} | Returns a single ticket entry.
*KoronaEntryClient::TicketsApi* | [**get_tickets**](docs/TicketsApi.md#get_tickets) | **GET** /{client}/tickets | Lists all tickets.
*KoronaEntryClient::TicketsApi* | [**update_image**](docs/TicketsApi.md#update_image) | **POST** /{client}/tickets/{ticketId}/image | Updates the owners image of the ticket
*KoronaEntryClient::TicketsApi* | [**update_ticket**](docs/TicketsApi.md#update_ticket) | **PATCH** /{client}/tickets/{ticketId} | Updates the single ticket.
*KoronaEntryClient::TicketsApi* | [**update_ticket_entry**](docs/TicketsApi.md#update_ticket_entry) | **PATCH** /{client}/tickets/{ticketId}/ticketEntries/{ticketEntryId} | Updates the single ticket entry.


## Documentation for Models

 - [KoronaEntryClient::BadRequestError](docs/BadRequestError.md)
 - [KoronaEntryClient::EntryResponse](docs/EntryResponse.md)
 - [KoronaEntryClient::ExternalTicketConfiguration](docs/ExternalTicketConfiguration.md)
 - [KoronaEntryClient::ExternalTicketConfigurationList](docs/ExternalTicketConfigurationList.md)
 - [KoronaEntryClient::ModelReference](docs/ModelReference.md)
 - [KoronaEntryClient::NotAcceptableError](docs/NotAcceptableError.md)
 - [KoronaEntryClient::OrganizationalUnit](docs/OrganizationalUnit.md)
 - [KoronaEntryClient::OrganizationalUnitList](docs/OrganizationalUnitList.md)
 - [KoronaEntryClient::StatisticGroupedEntry](docs/StatisticGroupedEntry.md)
 - [KoronaEntryClient::Ticket](docs/Ticket.md)
 - [KoronaEntryClient::TicketEntry](docs/TicketEntry.md)
 - [KoronaEntryClient::TicketEntryLog](docs/TicketEntryLog.md)
 - [KoronaEntryClient::TicketEntryLogList](docs/TicketEntryLogList.md)
 - [KoronaEntryClient::TicketImage](docs/TicketImage.md)
 - [KoronaEntryClient::TicketInformation](docs/TicketInformation.md)
 - [KoronaEntryClient::TicketList](docs/TicketList.md)
 - [KoronaEntryClient::TicketPersonalization](docs/TicketPersonalization.md)


## Documentation for Authorization


### basicAuth

- **Type**: HTTP basic authentication

